/*******************************************************************************
  File : book.h

  Description : Fichier en-tte pour le module de la bibliothque des ouvertures.
*******************************************************************************/

#ifndef BOOK_H
#define BOOK_H

/*******************************************************************************
  Include files :
*******************************************************************************/

#include "data.h"

/*******************************************************************************
  Types :
*******************************************************************************/

/* Fonctions du module de la bibliothque des ouvertures : */
typedef struct {

  bool (*select_move) (move_s *move);
  void (*make_book) (void);

} book_module;

/*******************************************************************************
  Data :
*******************************************************************************/

extern book_module book;

#ifdef DEBUG
extern int select_move_calls;
extern int make_book_calls;
#endif /* DEBUG */

#endif /* BOOK_H */
