/*******************************************************************************
  File : evaluate.h

  Description : Fichier en-tte pour le module d'valuation.
*******************************************************************************/

#ifndef EVALUATE_H
#define EVALUATE_H

/*******************************************************************************
  Include files :
*******************************************************************************/

#include "data.h"

/*******************************************************************************
  Types :
*******************************************************************************/

typedef struct {

  int (*check_game_stage) (int color);
  int (*evaluate_position) (bool debug);

} evaluate_module_s;

/*******************************************************************************
  Data :
*******************************************************************************/

extern evaluate_module_s evaluate;

#ifdef DEBUG
extern int check_game_stage_calls;
extern int evaluate_position_calls;
#endif /* DEBUG */

#endif /* EVALUATE_H */
