/*******************************************************************************
  File : search.h

  Description : Header file for search module.
*******************************************************************************/

#ifndef SEARCH_H
#define SEARCH_H

/*******************************************************************************
  Include files :
*******************************************************************************/

#include "data.h"

/*******************************************************************************
  Types :
*******************************************************************************/

typedef struct {

  void (*think) (move_s *move);

} search_module_s;

/*******************************************************************************
  Data :
*******************************************************************************/

extern search_module_s search;

#ifdef DEBUG
extern int think_calls;
extern int first_search_calls;
extern int minmax_search_calls;
extern int pick_move_calls;
extern int quiet_search_calls;
extern int sort_moves_calls;
#endif /* DEBUG */

#endif /* SEARCH_H */
